- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.BatchUpdateAdSpotsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#body.aspect)
- [UpdateAdSpotRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#UpdateAdSpotRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#UpdateAdSpotRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#try-it)

Batch updates `AdSpot` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/adSpots:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `AdSpots` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateAdSpotRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#UpdateAdSpotRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots/batchUpdate#UpdateAdSpotRequest`)`` Required. The `AdSpot` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `adSpots.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adSpots": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots#AdSpot`) } ] } ``` |

| Fields ||
|---|---|
| `adSpots[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots#AdSpot`)`` The `AdSpot` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateAdSpotRequest

Request object for `adSpots.patch` method.

| JSON representation |
|---|
| ``` { "adSpot": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots#AdSpot`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `adSpot` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.adSpots#AdSpot`)`` Required. The `AdSpot` to update. The `AdSpot`'s `name` is used to identify the `AdSpot` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |